Subject: bug#17350: [PATCH] grep: speed up for a case to repeat failure in DFA after success in kwset

From: Jim Meyering <[email-masked]>
Date: Fri, 9 May 2014 12:38:51 -0700

On Tue, May 6, 2014 at 7:46 AM, Paul Eggert <[email-masked]> wrote:
> Thanks, I pushed that with minor changes to the ChangeLog message (first
> attached patch).  It's a tad faster to combine the relevant flags at
> compile-time so I did that (second attached patch).

Reading your 0002 "dfa: minor performance improvement for previous
change", I noticed that the fall-through "case BACKREF:" was not
marked as such, so have added a few /* fallthrough */ comments, to
mark the places where one (or a static analyzer) might have a doubt: